gigstack API
  1. Retentions
gigstack API
  • Welcome to gigstack API
  • gigstack Connect API Guide
  • Migrar de API v1 a v2 de gigstack
  • Clients
    • Clients API Guide
    • List clients
      GET
    • Get client
      GET
    • Update client
      PUT
    • Create client
      POST
    • Validate client fiscal information
      POST
    • Get client customer portal access token
      POST
    • Stamp pending receipts
      POST
    • Delete client
      DELETE
    • Search clients
      GET
    • Upload CSF PDF to create or update client
      POST
    • Upload support document
      POST
    • List support documents
      GET
  • Services
    • Services API Guide
    • List services
      GET
    • Get service
      GET
    • Update service
      PUT
    • Create service
      POST
    • Delete service
      DELETE
  • Invoices
    • Invoices API Guide
    • Income
      • List income invoices
      • Create income invoice
      • Get income invoice
    • Egress
      • List egress invoices
      • Create egress invoice
      • Get egress invoice
    • List CFDI errors
    • List payment complement invoices
    • Get payment complement invoice
    • Get invoice files
    • Upload support document
    • List support documents
    • Cancel invoice
    • Search invoices
  • Payments
    • Payments API Guide
    • List payments
    • Get payment
    • Request payment
    • Register payment
    • Mark payment as paid
    • Refund payment
    • Cancel payment
    • Search payments
    • Upload support document
    • List support documents
  • Receipts
    • Receipts API Guide
    • List receipts
    • Get receipt
    • Create receipt
    • Stamp receipt
    • Cancel receipt
    • Search receipts
  • Teams
    • Teams API Guide
    • List teams
    • Get team
    • Get team integrations
    • Get team series
    • Get team onboarding URL
    • Update team
    • Update team series
    • Update team settings
    • Create team
    • Add team member
    • Remove team member
    • Create team series
    • Upload SAT CSD certificates
    • Sign manifest document
  • Users
    • Users API Guide
    • List users
    • Get user
    • Update user
    • Create user
    • Reset user password
    • Generate login link
  • Catalogs
    • Tax Regimes Catalog (Régimen Fiscal)
    • Payment Forms | Formas de pago
    • CFDI Usage Catalog (Uso CFDI)
    • Payment Methods Catalog (Método de Pago)
    • Months and Bimesters Catalog (Meses y Bimestres)
    • Invoice Relationships Catalog (Relación entre Facturas)
  • Webhooks
    • Webhooks
    • List webhooks
    • Create webhook
    • Get webhook
    • Update webhook
    • Delete webhook
  • Retentions
    • List retentions
      GET
    • Create retention
      POST
    • Get retention
      GET
    • Cancel retention
      DELETE
    • Get retention files
      GET
  • Apidog connectivity test
    GET
  • Schemas
    • Schemas
      • ApiResponse
      • Category
      • Pet
      • Tag
      • Order
      • StandardizedSuccessResponse
      • StandardizedErrorResponse
      • ApiErrorCode
    • RequestBodies
      • UserArray
    • ApiPublicClient
    • Client
    • OrderDirection
    • Service
    • DateRangeFilter
    • ApiPublicService
    • ListQueryParams
    • ClientInput
    • ServiceInput
    • PaginationMeta
    • Invoice
    • InvoiceIncomeInput
    • Payment
    • PaymentInput
    • Team
    • InvoiceEgressInput
    • InvoiceInput
    • PaymentItem
    • PaymentAllowedMethod
    • TeamInput
    • TeamSettingsInput
    • ApiPublicPaymentProcessorDetails
    • User
    • CfdiError
    • ApiPublicPayment
    • UserInput
    • ClientAddress
    • TaxSchema
    • RequestPaymentInput
    • StandardSuccessResponse
    • RegisterPaymentInput
    • ListResponse
    • ErrorResponse
    • RefundPaymentInput
    • ValidationErrorResponse
    • ApiPublicIncomeInvoice
    • MarkPaymentAsPaidInput
    • UnauthorizedError
    • ApiPublicTeam
    • ApiPublicUser
    • NotFoundError
    • ApiPublicSearch
    • InternalServerError
    • ApiPublicThirdParty
    • ApiPublicInvoiceConfig
    • ApiPublicRefund
    • TeamSettings
    • ApiPublicAutomations
    • TaxElement
    • SeriesInput
    • Series
    • ApiPublicWebhook
    • ReceiptInput
    • WebhookInput
    • WebhookUpdateInput
    • PaymentMethodEnum
    • PaymentFormEnum
    • AutomationTypeEnum
    • ItemSchema
    • SATDocument
    • UploadSupportDocumentInput
  1. Retentions

Get retention

GET
https://api.gigstack.io/v2/retentions/{id}
Retrieve a specific tax retention document by ID (UUID).
gigstack Connect: View other teams' retentions using the team parameter.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Retention retrieved successfully
Body

🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.gigstack.io/v2/retentions/9d9b0e5b-034c-42f7-bd21-3a868a57c13e?team' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Valid stamped retention
{
    "message": "Retention retrieved successfully",
    "data": {
        "id": "9d9b0e5b-034c-42f7-bd21-3a868a57c13e",
        "uuid": "9d9b0e5b-034c-42f7-bd21-3a868a57c13e",
        "status": "valid",
        "document_type": "retenciones",
        "retention_key": "26",
        "folio_number": "1",
        "series": "RET",
        "issuer": {
            "legal_name": "MI EMPRESA SA DE CV",
            "tax_id": "MEE200101ABC",
            "tax_system": "601"
        },
        "receiver": {
            "legal_name": "GRUPO JINIM",
            "tax_id": "GJI180508GM9",
            "nationality": "Nacional"
        },
        "period": {
            "start": 1,
            "end": 1,
            "year": 2026
        },
        "totals": {
            "total_operation": 93116.98,
            "total_taxable": 93116.98,
            "total_exempt": 0,
            "total_retained": 9777.27,
            "tax_retained": [
                {
                    "tax": "001",
                    "base": 93116.98,
                    "amount": 2327.92,
                    "payment_type": "03"
                },
                {
                    "tax": "002",
                    "base": 14898.71,
                    "amount": 7449.35,
                    "payment_type": "01"
                }
            ]
        },
        "stamp": {
            "uuid": "9d9b0e5b-034c-42f7-bd21-3a868a57c13e",
            "stamped_at": "2026-01-15T10:30:45",
            "provider": "prodigia"
        },
        "verification_url": "https://verificacfdi.facturaelectronica.sat.gob.mx/default.aspx?id=9d9b0e5b-034c-42f7-bd21-3a868a57c13e&re=MEE200101ABC&rr=GJI180508GM9&tt=93116.98&fe=abcd1234",
        "livemode": true,
        "created_at": 1736942445000,
        "metadata": null
    }
}
Modified at 2026-03-06 19:07:26
Previous
Create retention
Next
Cancel retention
Built with